=== debian/changelog ===
qmapshack (1.3.0-4) unstable; urgency=medium

  * Disable icon regeneration on arm64 due to inkscape failure.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 26 Aug 2015 02:09:49 +0200

qmapshack (1.3.0-3) unstable; urgency=medium

  * Update Vcs-Browser URL to use HTTPS.
  * Update watch file to support more version formats.
  * Rebuild for gdal transition.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 25 Aug 2015 17:59:55 +0200

qmapshack (1.3.0-2) unstable; urgency=medium

  * Add dependency on routino for planetsplitter.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 01 Jul 2015 19:19:39 +0200

qmapshack (1.3.0-1) unstable; urgency=medium

  * New upstream release.
  * Update copyright file, changes:
    - Update copyright years
    - Add license & copyright for new 3rdparty routino source
  * Don't install planetsplitter, binary already provided by routino package.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 30 Jun 2015 20:31:51 +0200

qmapshack (1.2.2-1) unstable; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 30 Apr 2015 21:56:47 +0200

qmapshack (1.2.1-1) unstable; urgency=medium

  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 26 Apr 2015 19:56:22 +0200

qmapshack (1.2.1-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 25 Apr 2015 16:15:56 +0200

qmapshack (1.2.0-1~exp2) experimental; urgency=medium

  * Add dependency on libqt5sql5-sqlite to support database import from
    QLandkarteGT.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 17 Apr 2015 16:47:33 +0200

qmapshack (1.2.0-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 14 Apr 2015 23:30:49 +0200

qmapshack (1.1.0-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 29 Mar 2015 17:56:05 +0200

qmapshack (1.0.1-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Drop upstream tarball repacking, no longer required.
  * Drop devicewatcher-hurd-kfreebsd.patch, applied upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 19 Mar 2015 21:17:01 +0100

qmapshack (1.0.0+ds1-1~exp2) experimental; urgency=medium

  * Add patch to disable deviceWatcher on Hurd & kFreeBSD to fix FTBFS.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 08 Mar 2015 16:57:23 +0100

qmapshack (1.0.0+ds1-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Enable verbose makefiles.
  * Remove unused variables in rules file.
  * Add upstream metadata.
  * Repack upstream tarball to exclude .hg directory.
  * Update my email to @debian.org address.
  * Remove patches applied upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 07 Mar 2015 14:31:31 +0100

qmapshack (0.12.0-1~exp1) experimental; urgency=medium

  * New upstream release.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Wed, 28 Jan 2015 08:47:23 +0100

qmapshack (0.11.0-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Drop artificial-typo.patch, applied upstream.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Mon, 19 Jan 2015 21:37:39 +0100

qmapshack (0.10.0-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Add path to fix 'artificial' typo.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Sun, 11 Jan 2015 12:08:03 +0100

qmapshack (0.9.1-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Reorder targets in rules file, drop get-orig-source target plain
    uscan is used now.
  * Reorder Files paragraphs in copyright file, place debian/* at the end.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Fri, 02 Jan 2015 13:27:08 +0100

qmapshack (0.9.0-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Update Source URL in copyright file.
  * Restructure control file with cme.
  * Use cgit instead of gitweb for Vcs-Browser URL.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Thu, 25 Dec 2014 17:22:23 +0100

qmapshack (0.8.2-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Add myself to Uploaders.
  * Update copyright file, changes:
    - Copyright years
    - public-domain license specification
  * Remove icons before regenerating in d/rules instead of d/clean.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Sat, 13 Dec 2014 02:03:10 +0100
